server {
    # listen 14443 ssl;
    listen 8080;
    server_name _;

    # ssl_certificate /etc/nginx/certs/fusero-selfsigned.crt;
    # ssl_certificate_key /etc/nginx/certs/fusero-selfsigned.key;

    location ^~ /api/ {
        proxy_pass http://fusero-backend-service:14000/;
        proxy_http_version 1.1;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $remote_addr;
        proxy_set_header X-Forwarded-Proto $scheme;
    }

    location / {
        root /usr/share/nginx/html;
        index index.html;
        try_files $uri $uri/ /index.html;
    }
}